criterion-0.6.0.1: Robust, reliable performance measurement and analysis

Portability | GHC
Stability | experimental
Maintainer | bos@serpentine.com

Criterion.Monad

Description

The environment in which most criterion code executes.

Synopsis

- data Criterion a
- getConfig :: Criterion Config
- getConfigItem :: (Config -> a) -> Criterion a
- withConfig :: Config -> Criterion a -> IO a

# Documentation

data Criterion a

The monad in which most criterion code executes.

Instances

Monad Criterion |
Functor Criterion |
MonadIO Criterion |
MonadReader Config Criterion |
CritHPrintfType (Criterion a) |

getConfig :: Criterion Config

getConfigItem :: (Config -> a) -> Criterion a

withConfig :: Config -> Criterion a -> IO a